com.jscape.inet.terminal

## Class Screen.Cursor

- java.lang.Object
- - com.jscape.inet.terminal.Screen.Cursor

- Enclosing class:
    Screen

      public class Screen.Cursor
      extends java.lang.Object

  Represents cursor position in screen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cursor(int row, int column)` Creates `Cursor` object giving its position.
    `Cursor(Screen.Cursor cursor)` Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `column()` Current column number.
    `Cell` | `getCell()` Gives access to underlying `Cell` object.
    `void` | `moveDown(int num)` Moves cursor down for giving row quantity.
    `void` | `moveEnd()` Moves cursor to end position.
    `void` | `moveHome()` Moves cursor to home position.
    `void` | `moveLeft(int num)` Moves cursor left for giving column quantity.
    `void` | `moveRight(int num)` Moves cursor right for giving column quantity.
    `void` | `moveTo(int row, int column)` Sets cursor position in the cells.
    `void` | `moveUp(int num)` Moves cursor up for giving row quantity.
    `int` | `row()` Current row number.
    `void` | `scrollDown()` Moves cursor up for one row.
    `void` | `scrollUp()` Moves cursor down for one row.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cursor

          public Cursor(int row,
                        int column)

      Creates `Cursor` object giving its position.
      Parameters:
        `row` - row number.
        `column` - column number.

    - #### Cursor

          public Cursor(Screen.Cursor cursor)

      Copy constructor.
      Parameters:
        `cursor` - `Cursor` object to be copied.

  - ### Method Detail

    - #### row

          public int row()

      Current row number.
      Returns:
        current row number.

    - #### column

          public int column()

      Current column number.
      Returns:
        current column number.

    - #### getCell

          public Cell getCell()

      Gives access to underlying `Cell` object.
      Returns:
        `Cell` object.

    - #### moveTo

          public void moveTo(int row,
                             int column)

      Sets cursor position in the cells. According to VT100 User's Manual doesn't verify passed parameters. It means, that if passed row or column number is greater or less than current cells dimensions cursor just stops by corresponded border.
      Parameters:
        `row` - row number.
        `column` - column number

    - #### moveDown

          public void moveDown(int num)

      Moves cursor down for giving row quantity.
      Parameters:
        `num` - row quantity.

    - #### moveUp

          public void moveUp(int num)

      Moves cursor up for giving row quantity.
      Parameters:
        `num` - row quantity.

    - #### moveLeft

          public void moveLeft(int num)

      Moves cursor left for giving column quantity.
      Parameters:
        `num` - column quantity.

    - #### moveRight

          public void moveRight(int num)

      Moves cursor right for giving column quantity.
      Parameters:
        `num` - column quantity.

    - #### moveHome

          public void moveHome()

      Moves cursor to home position.

    - #### moveEnd

          public void moveEnd()

      Moves cursor to end position.

    - #### scrollDown

          public void scrollDown()

      Moves cursor up for one row. Performs screen scroll down if current row is the first.

    - #### scrollUp

          public void scrollUp()

      Moves cursor down for one row. Performs screen scroll up if current row is the last.

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved